diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -43128,11 +43545,11 @@ BillsHouseScript1: ; 1e783 (7:6783)
 	ld [W_BILLSHOUSECURSCRIPT], a
 	ret
 
-MovementData1e79c: ; 1e79c (7:679c)
-	db $40,$40,$40,$ff
+MovementData_1e79c: ; 1e79c (7:679c)
+	db $40,$40,$40,$FF
 
-MovementData1e7a0: ; 1e7a0 (7:67a0)
-	db $c0,$40,$40,$80,$40,$ff
+MovementData_1e7a0: ; 1e7a0 (7:67a0)
+	db $C0,$40,$40,$80,$40,$FF
 
 BillsHouseScript2: ; 1e7a6 (7:67a6)
 	ld a, [$d730]
@@ -43175,14 +43592,14 @@ BillsHouseScript3: ; 1e7c5 (7:67c5)
 	call DelayFrames
 	ld a, $2
 	ld [$ff00+$8c], a
-	ld de, MovementData1e807
+	ld de, MovementData_1e807
 	call MoveSprite
 	ld a, $4
 	ld [W_BILLSHOUSECURSCRIPT], a
 	ret
 
-MovementData1e807: ; 1e807 (7:6807)
-	db $00,$c0,$c0,$c0,$00,$ff
+MovementData_1e807: ; 1e807 (7:6807)
+	db $00,$C0,$C0,$C0,$00,$FF
 
 BillsHouseScript4: ; 1e80d (7:680d)
 	ld a, [$d730]
@@ -43206,8 +43623,11 @@ BillsHouseScript5: ; 1e827 (7:6827)
 	ld [W_BILLSHOUSECURSCRIPT], a
 	ret
 
-BillsHouseTexts: ; 1e834 (7:6834)
-	dw BillsHouseText1, BillsHouseText2, BillsHouseText3, BillsHouseText4
+BillsHouseTextPointers: ; 1e834 (7:6834)
+	dw BillsHouseText1
+	dw BillsHouseText2
+	dw BillsHouseText3
+	dw BillsHouseText4
 
 BillsHouseText4: ; 1e83c (7:683c)
 	db $fd
@@ -44517,63 +44937,51 @@ StatsCancelPCText: ; 217dc (8:57dc)
 
 SwitchOnText: ; 0x217e9
 	TX_FAR _SwitchOnText
-	db $50
-; 0x217e9 + 5 bytes
+	db "@"
 
 WhatText: ; 0x217ee
 	TX_FAR _WhatText
-	db $50
-; 0x217ee + 5 bytes
+	db "@"
 
 DepositWhichMonText: ; 0x217f3
 	TX_FAR _DepositWhichMonText
-	db $50
-; 0x217f3 + 5 bytes
+	db "@"
 
 MonWasStoredText: ; 0x217f8
 	TX_FAR _MonWasStoredText
-	db $50
-; 0x217f8 + 5 bytes
+	db "@"
 
 CantDepositLastMonText: ; 0x217fd
 	TX_FAR _CantDepositLastMonText
-	db $50
-; 0x217fd + 5 bytes
+	db "@"
 
 BoxFullText: ; 0x21802
 	TX_FAR _BoxFullText
-	db $50
-; 0x21802 + 5 bytes
+	db "@"
 
 MonIsTakenOutText: ; 0x21807
 	TX_FAR _MonIsTakenOutText
-	db $50
-; 0x21807 + 5 bytes
+	db "@"
 
 NoMonText: ; 0x2180c
 	TX_FAR _NoMonText
-	db $50
-; 0x2180c + 5 bytes
+	db "@"
 
 CantTakeMonText: ; 0x21811
 	TX_FAR _CantTakeMonText
-	db $50
-; 0x21811 + 5 bytes
+	db "@"
 
 ReleaseWhichMonText: ; 0x21816
 	TX_FAR _ReleaseWhichMonText
-	db $50
-; 0x21816 + 5 bytes
+	db "@"
 
 OnceReleasedText: ; 0x2181b
 	TX_FAR _OnceReleasedText
-	db $50
-; 0x2181b + 5 bytes
+	db "@"
 
 MonWasReleasedText: ; 0x21820
 	TX_FAR _MonWasReleasedText
-	db $50
-; 0x21820 + 5 bytes
+	db "@"
 
 	ld a, [$ff00+$aa]
 	cp $1
@@ -47198,10 +47606,10 @@ ScalePixelsByTwo: ; 2fe97 (b:7e97)
 
 ; repeats each input bit twice
 DuplicateBitsTable: ; 2fea8 (b:7ea8)
-db $00, $03, $0c, $0f
-db $30, $33, $3c, $3f
-db $c0, $c3, $cc, $cf
-db $f0, $f3, $fc, $ff
+	db $00, $03, $0c, $0f
+	db $30, $33, $3c, $3f
+	db $c0, $c3, $cc, $cf
+	db $f0, $f3, $fc, $ff
 
 Func_2feb8 ; 0x2feb8
 	xor a
@@ -47752,7 +48160,58 @@ IF _BLUE
 	INCBIN "gfx/blue/slotmachine1.2bpp"
 ENDC
 
-INCBIN "baserom.gbc",$37ca1,$37d41 - $37ca1
+Func_37ca1: ; 37ca1 (d:7ca1)
+	ld hl, $ccd3
+	ld a, [$cd38]
+	dec a
+	ld [$cd38], a
+	ld d, $0
+	ld e, a
+	add hl, de
+	ld d, h
+	ld e, l
+	ld hl, Unknown_37ce6
+	ld a, [$d12f]
+	add a
+	ld b, $0
+	ld c, a
+	add hl, bc
+	ld a, [hli]
+	ld h, [hl]
+	ld l, a
+	ld a, [W_YCOORD]
+	ld b, a
+	ld a, [W_XCOORD]
+	ld c, a
+.asm_37cc7
+	ld a, [hli]
+	cp b
+	jr nz, .asm_37ce1
+	ld a, [hli]
+	cp c
+	jr nz, .asm_37ce2
+	ld a, [hli]
+	ld h, [hl]
+	ld l, a
+.asm_37cd2
+	ld a, [hli]
+	cp $ff
+	ret z
+	ld [de], a
+	inc de
+	ld a, [$cd38]
+	inc a
+	ld [$cd38], a
+	jr .asm_37cd2
+.asm_37ce1
+	inc hl
+.asm_37ce2
+	inc hl
+	inc hl
+	jr .asm_37cc7
+
+Unknown_37ce6: ; 37ce6 (d:7ce6)
+INCBIN "baserom.gbc",$37ce6,$37d41 - $37ce6
 
 _Multiply: ; 37d41 (d:7d41)
 	ld a, $8
@@ -47917,172 +48376,171 @@ SECTION "bankE",ROMX,BANK[$E]
 Moves: ; 38000 (e:4000)
 ; characteristics of each move
 ; animation, effect, power, type, accuracy, PP
-db POUND       ,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,35
-db KARATE_CHOP ,NO_ADDITIONAL_EFFECT      ,$32,NORMAL,  $FF,25
-db DOUBLESLAP  ,TWO_TO_FIVE_ATTACKS_EFFECT,$0F,NORMAL,  $D8,10
-db COMET_PUNCH ,TWO_TO_FIVE_ATTACKS_EFFECT,$12,NORMAL,  $D8,15
-db MEGA_PUNCH  ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $D8,20
-db PAY_DAY     ,PAY_DAY_EFFECT            ,$28,NORMAL,  $FF,20
-db FIRE_PUNCH  ,BURN_SIDE_EFFECT1         ,$4B,FIRE,    $FF,15
-db ICE_PUNCH   ,FREEZE_SIDE_EFFECT        ,$4B,ICE,     $FF,15
-db THUNDERPUNCH,PARALYZE_SIDE_EFFECT1     ,$4B,ELECTRIC,$FF,15
-db SCRATCH     ,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,35
-db VICEGRIP    ,NO_ADDITIONAL_EFFECT      ,$37,NORMAL,  $FF,30
-db GUILLOTINE  ,OHKO_EFFECT               ,$01,NORMAL,  $4C,5
-db RAZOR_WIND  ,CHARGE_EFFECT             ,$50,NORMAL,  $BF,10
-db SWORDS_DANCE,ATTACK_UP2_EFFECT         ,$00,NORMAL,  $FF,30
-db CUT         ,NO_ADDITIONAL_EFFECT      ,$32,NORMAL,  $F2,30
-db GUST        ,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,35
-db WING_ATTACK ,NO_ADDITIONAL_EFFECT      ,$23,FLYING,  $FF,35
-db WHIRLWIND   ,SWITCH_AND_TELEPORT_EFFECT,$00,NORMAL,  $D8,20
-db FLY         ,FLY_EFFECT                ,$46,FLYING,  $F2,15
-db BIND        ,TRAPPING_EFFECT           ,$0F,NORMAL,  $BF,20
-db SLAM        ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $BF,20
-db VINE_WHIP   ,NO_ADDITIONAL_EFFECT      ,$23,GRASS,   $FF,10
-db STOMP       ,FLINCH_SIDE_EFFECT2       ,$41,NORMAL,  $FF,20
-db DOUBLE_KICK ,ATTACK_TWICE_EFFECT       ,$1E,FIGHTING,$FF,30
-db MEGA_KICK   ,NO_ADDITIONAL_EFFECT      ,$78,NORMAL,  $BF,5
-db JUMP_KICK   ,JUMP_KICK_EFFECT          ,$46,FIGHTING,$F2,25
-db ROLLING_KICK,FLINCH_SIDE_EFFECT2       ,$3C,FIGHTING,$D8,15
-db SAND_ATTACK ,ACCURACY_DOWN1_EFFECT     ,$00,NORMAL,  $FF,15
-db HEADBUTT    ,FLINCH_SIDE_EFFECT2       ,$46,NORMAL,  $FF,15
-db HORN_ATTACK ,NO_ADDITIONAL_EFFECT      ,$41,NORMAL,  $FF,25
-db FURY_ATTACK ,TWO_TO_FIVE_ATTACKS_EFFECT,$0F,NORMAL,  $D8,20
-db HORN_DRILL  ,OHKO_EFFECT               ,$01,NORMAL,  $4C,5
-db TACKLE      ,NO_ADDITIONAL_EFFECT      ,$23,NORMAL,  $F2,35
-db BODY_SLAM   ,PARALYZE_SIDE_EFFECT2     ,$55,NORMAL,  $FF,15
-db WRAP        ,TRAPPING_EFFECT           ,$0F,NORMAL,  $D8,20
-db TAKE_DOWN   ,RECOIL_EFFECT             ,$5A,NORMAL,  $D8,20
-db THRASH      ,THRASH_PETAL_DANCE_EFFECT ,$5A,NORMAL,  $FF,20
-db DOUBLE_EDGE ,RECOIL_EFFECT             ,$64,NORMAL,  $FF,15
-db TAIL_WHIP   ,DEFENSE_DOWN1_EFFECT      ,$00,NORMAL,  $FF,30
-db POISON_STING,POISON_SIDE_EFFECT1       ,$0F,POISON,  $FF,35
-db TWINEEDLE   ,TWINEEDLE_EFFECT          ,$19,BUG,     $FF,20
-db PIN_MISSILE ,TWO_TO_FIVE_ATTACKS_EFFECT,$0E,BUG,     $D8,20
-db LEER        ,DEFENSE_DOWN1_EFFECT      ,$00,NORMAL,  $FF,30
-db BITE        ,FLINCH_SIDE_EFFECT1       ,$3C,NORMAL,  $FF,25
-db GROWL       ,ATTACK_DOWN1_EFFECT       ,$00,NORMAL,  $FF,40
-db ROAR        ,SWITCH_AND_TELEPORT_EFFECT,$00,NORMAL,  $FF,20
-db SING        ,SLEEP_EFFECT              ,$00,NORMAL,  $8C,15
-db SUPERSONIC  ,CONFUSION_EFFECT          ,$00,NORMAL,  $8C,20
-db SONICBOOM   ,SPECIAL_DAMAGE_EFFECT     ,$01,NORMAL,  $E5,20
-db DISABLE     ,DISABLE_EFFECT            ,$00,NORMAL,  $8C,20
-db ACID        ,DEFENSE_DOWN_SIDE_EFFECT  ,$28,POISON,  $FF,30
-db EMBER       ,BURN_SIDE_EFFECT1         ,$28,FIRE,    $FF,25
-db FLAMETHROWER,BURN_SIDE_EFFECT1         ,$5F,FIRE,    $FF,15
-db MIST        ,MIST_EFFECT               ,$00,ICE,     $FF,30
-db WATER_GUN   ,NO_ADDITIONAL_EFFECT      ,$28,WATER,   $FF,25
-db HYDRO_PUMP  ,NO_ADDITIONAL_EFFECT      ,$78,WATER,   $CC,5
-db SURF        ,NO_ADDITIONAL_EFFECT      ,$5F,WATER,   $FF,15
-db ICE_BEAM    ,FREEZE_SIDE_EFFECT        ,$5F,ICE,     $FF,10
-db BLIZZARD    ,FREEZE_SIDE_EFFECT        ,$78,ICE,     $E5,5
-db PSYBEAM     ,CONFUSION_SIDE_EFFECT     ,$41,PSYCHIC, $FF,20
-db BUBBLEBEAM  ,SPEED_DOWN_SIDE_EFFECT    ,$41,WATER,   $FF,20
-db AURORA_BEAM ,ATTACK_DOWN_SIDE_EFFECT   ,$41,ICE,     $FF,20
-db HYPER_BEAM  ,HYPER_BEAM_EFFECT         ,$96,NORMAL,  $E5,5
-db PECK        ,NO_ADDITIONAL_EFFECT      ,$23,FLYING,  $FF,35
-db DRILL_PECK  ,NO_ADDITIONAL_EFFECT      ,$50,FLYING,  $FF,20
-db SUBMISSION  ,RECOIL_EFFECT             ,$50,FIGHTING,$CC,25
-db LOW_KICK    ,FLINCH_SIDE_EFFECT2       ,$32,FIGHTING,$E5,20
-db COUNTER     ,NO_ADDITIONAL_EFFECT      ,$01,FIGHTING,$FF,20
-db SEISMIC_TOSS,SPECIAL_DAMAGE_EFFECT     ,$01,FIGHTING,$FF,20
-db STRENGTH    ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $FF,15
-db ABSORB      ,DRAIN_HP_EFFECT           ,$14,GRASS,   $FF,20
-db MEGA_DRAIN  ,DRAIN_HP_EFFECT           ,$28,GRASS,   $FF,10
-db LEECH_SEED  ,LEECH_SEED_EFFECT         ,$00,GRASS,   $E5,10
-db GROWTH      ,SPECIAL_UP1_EFFECT        ,$00,NORMAL,  $FF,40
-db RAZOR_LEAF  ,NO_ADDITIONAL_EFFECT      ,$37,GRASS,   $F2,25
-db SOLARBEAM   ,CHARGE_EFFECT             ,$78,GRASS,   $FF,10
-db POISONPOWDER,POISON_EFFECT             ,$00,POISON,  $BF,35
-db STUN_SPORE  ,PARALYZE_EFFECT           ,$00,GRASS,   $BF,30
-db SLEEP_POWDER,SLEEP_EFFECT              ,$00,GRASS,   $BF,15
-db PETAL_DANCE ,THRASH_PETAL_DANCE_EFFECT ,$46,GRASS,   $FF,20
-db STRING_SHOT ,SPEED_DOWN1_EFFECT        ,$00,BUG,     $F2,40
-db DRAGON_RAGE ,SPECIAL_DAMAGE_EFFECT     ,$01,DRAGON,  $FF,10
-db FIRE_SPIN   ,TRAPPING_EFFECT           ,$0F,FIRE,    $B2,15
-db THUNDERSHOCK,PARALYZE_SIDE_EFFECT1     ,$28,ELECTRIC,$FF,30
-db THUNDERBOLT ,PARALYZE_SIDE_EFFECT1     ,$5F,ELECTRIC,$FF,15
-db THUNDER_WAVE,PARALYZE_EFFECT           ,$00,ELECTRIC,$FF,20
-db THUNDER     ,PARALYZE_SIDE_EFFECT1     ,$78,ELECTRIC,$B2,10
-db ROCK_THROW  ,NO_ADDITIONAL_EFFECT      ,$32,ROCK,    $A5,15
-db EARTHQUAKE  ,NO_ADDITIONAL_EFFECT      ,$64,GROUND,  $FF,10
-db FISSURE     ,OHKO_EFFECT               ,$01,GROUND,  $4C,5
-db DIG         ,CHARGE_EFFECT             ,$64,GROUND,  $FF,10
-db TOXIC       ,POISON_EFFECT             ,$00,POISON,  $D8,10
-db CONFUSION   ,CONFUSION_SIDE_EFFECT     ,$32,PSYCHIC, $FF,25
-db PSYCHIC_M   ,SPECIAL_DOWN_SIDE_EFFECT  ,$5A,PSYCHIC, $FF,10
-db HYPNOSIS    ,SLEEP_EFFECT              ,$00,PSYCHIC, $99,20
-db MEDITATE    ,ATTACK_UP1_EFFECT         ,$00,PSYCHIC, $FF,40
-db AGILITY     ,SPEED_UP2_EFFECT          ,$00,PSYCHIC, $FF,30
-db QUICK_ATTACK,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,30
-db RAGE        ,RAGE_EFFECT               ,$14,NORMAL,  $FF,20
-db TELEPORT    ,SWITCH_AND_TELEPORT_EFFECT,$00,PSYCHIC, $FF,20
-db NIGHT_SHADE ,SPECIAL_DAMAGE_EFFECT     ,$00,GHOST,   $FF,15
-db MIMIC       ,MIMIC_EFFECT              ,$00,NORMAL,  $FF,10
-db SCREECH     ,DEFENSE_DOWN2_EFFECT      ,$00,NORMAL,  $D8,40
-db DOUBLE_TEAM ,EVASION_UP1_EFFECT        ,$00,NORMAL,  $FF,15
-db RECOVER     ,HEAL_EFFECT               ,$00,NORMAL,  $FF,20
-db HARDEN      ,DEFENSE_UP1_EFFECT        ,$00,NORMAL,  $FF,30
-db MINIMIZE    ,EVASION_UP1_EFFECT        ,$00,NORMAL,  $FF,20
-db SMOKESCREEN ,ACCURACY_DOWN1_EFFECT     ,$00,NORMAL,  $FF,20
-db CONFUSE_RAY ,CONFUSION_EFFECT          ,$00,GHOST,   $FF,10
-db WITHDRAW    ,DEFENSE_UP1_EFFECT        ,$00,WATER,   $FF,40
-db DEFENSE_CURL,DEFENSE_UP1_EFFECT        ,$00,NORMAL,  $FF,40
-db BARRIER     ,DEFENSE_UP2_EFFECT        ,$00,PSYCHIC, $FF,30
-db LIGHT_SCREEN,LIGHT_SCREEN_EFFECT       ,$00,PSYCHIC, $FF,30
-db HAZE        ,HAZE_EFFECT               ,$00,ICE,     $FF,30
-db REFLECT     ,REFLECT_EFFECT            ,$00,PSYCHIC, $FF,20
-db FOCUS_ENERGY,FOCUS_ENERGY_EFFECT       ,$00,NORMAL,  $FF,30
-db BIDE        ,BIDE_EFFECT               ,$00,NORMAL,  $FF,10
-db METRONOME   ,METRONOME_EFFECT          ,$00,NORMAL,  $FF,10
-db MIRROR_MOVE ,MIRROR_MOVE_EFFECT        ,$00,FLYING,  $FF,20
-db SELFDESTRUCT,EXPLODE_EFFECT            ,$82,NORMAL,  $FF,5
-db EGG_BOMB    ,NO_ADDITIONAL_EFFECT      ,$64,NORMAL,  $BF,10
-db LICK        ,PARALYZE_SIDE_EFFECT2     ,$14,GHOST,   $FF,30
-db SMOG        ,POISON_SIDE_EFFECT2       ,$14,POISON,  $B2,20
-db SLUDGE      ,POISON_SIDE_EFFECT2       ,$41,POISON,  $FF,20
-db BONE_CLUB   ,FLINCH_SIDE_EFFECT1       ,$41,GROUND,  $D8,20
-db FIRE_BLAST  ,BURN_SIDE_EFFECT2         ,$78,FIRE,    $D8,5
-db WATERFALL   ,NO_ADDITIONAL_EFFECT      ,$50,WATER,   $FF,15
-db CLAMP       ,TRAPPING_EFFECT           ,$23,WATER,   $BF,10
-db SWIFT       ,SWIFT_EFFECT              ,$3C,NORMAL,  $FF,20
-db SKULL_BASH  ,CHARGE_EFFECT             ,$64,NORMAL,  $FF,15
-db SPIKE_CANNON,TWO_TO_FIVE_ATTACKS_EFFECT,$14,NORMAL,  $FF,15
-db CONSTRICT   ,SPEED_DOWN_SIDE_EFFECT    ,$0A,NORMAL,  $FF,35
-db AMNESIA     ,SPECIAL_UP2_EFFECT        ,$00,PSYCHIC, $FF,20
-db KINESIS     ,ACCURACY_DOWN1_EFFECT     ,$00,PSYCHIC, $CC,15
-db SOFTBOILED  ,HEAL_EFFECT               ,$00,NORMAL,  $FF,10
-db HI_JUMP_KICK,JUMP_KICK_EFFECT          ,$55,FIGHTING,$E5,20
-db GLARE       ,PARALYZE_EFFECT           ,$00,NORMAL,  $BF,30
-db DREAM_EATER ,DREAM_EATER_EFFECT        ,$64,PSYCHIC, $FF,15
-db POISON_GAS  ,POISON_EFFECT             ,$00,POISON,  $8C,40
-db BARRAGE     ,TWO_TO_FIVE_ATTACKS_EFFECT,$0F,NORMAL,  $D8,20
-db LEECH_LIFE  ,DRAIN_HP_EFFECT           ,$14,BUG,     $FF,15
-db LOVELY_KISS ,SLEEP_EFFECT              ,$00,NORMAL,  $BF,10
-db SKY_ATTACK  ,CHARGE_EFFECT             ,$8C,FLYING,  $E5,5
-db TRANSFORM   ,TRANSFORM_EFFECT          ,$00,NORMAL,  $FF,10
-db BUBBLE      ,SPEED_DOWN_SIDE_EFFECT    ,$14,WATER,   $FF,30
-db DIZZY_PUNCH ,NO_ADDITIONAL_EFFECT      ,$46,NORMAL,  $FF,10
-db SPORE       ,SLEEP_EFFECT              ,$00,GRASS,   $FF,15
-db FLASH       ,ACCURACY_DOWN1_EFFECT     ,$00,NORMAL,  $B2,20
-db PSYWAVE     ,SPECIAL_DAMAGE_EFFECT     ,$01,PSYCHIC, $CC,15
-db SPLASH      ,SPLASH_EFFECT             ,$00,NORMAL,  $FF,40
-db ACID_ARMOR  ,DEFENSE_UP2_EFFECT        ,$00,POISON,  $FF,40
-db CRABHAMMER  ,NO_ADDITIONAL_EFFECT      ,$5A,WATER,   $D8,10
-db EXPLOSION   ,EXPLODE_EFFECT            ,$AA,NORMAL,  $FF,5
-db FURY_SWIPES ,TWO_TO_FIVE_ATTACKS_EFFECT,$12,NORMAL,  $CC,15
-db BONEMERANG  ,ATTACK_TWICE_EFFECT       ,$32,GROUND,  $E5,10
-db REST        ,HEAL_EFFECT               ,$00,PSYCHIC, $FF,10
-db ROCK_SLIDE  ,NO_ADDITIONAL_EFFECT      ,$4B,ROCK,    $E5,10
-db HYPER_FANG  ,FLINCH_SIDE_EFFECT1       ,$50,NORMAL,  $E5,15
-db SHARPEN     ,ATTACK_UP1_EFFECT         ,$00,NORMAL,  $FF,30
-db CONVERSION  ,CONVERSION_EFFECT         ,$00,NORMAL,  $FF,30
-db TRI_ATTACK  ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $FF,10
-db SUPER_FANG  ,SUPER_FANG_EFFECT         ,$01,NORMAL,  $E5,10
-db SLASH       ,NO_ADDITIONAL_EFFECT      ,$46,NORMAL,  $FF,20
-db SUBSTITUTE  ,SUBSTITUTE_EFFECT         ,$00,NORMAL,  $FF,10
-db STRUGGLE    ,RECOIL_EFFECT             ,$32,NORMAL,  $FF,10
-
+	db POUND       ,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,35
+	db KARATE_CHOP ,NO_ADDITIONAL_EFFECT      ,$32,NORMAL,  $FF,25
+	db DOUBLESLAP  ,TWO_TO_FIVE_ATTACKS_EFFECT,$0F,NORMAL,  $D8,10
+	db COMET_PUNCH ,TWO_TO_FIVE_ATTACKS_EFFECT,$12,NORMAL,  $D8,15
+	db MEGA_PUNCH  ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $D8,20
+	db PAY_DAY     ,PAY_DAY_EFFECT            ,$28,NORMAL,  $FF,20
+	db FIRE_PUNCH  ,BURN_SIDE_EFFECT1         ,$4B,FIRE,    $FF,15
+	db ICE_PUNCH   ,FREEZE_SIDE_EFFECT        ,$4B,ICE,     $FF,15
+	db THUNDERPUNCH,PARALYZE_SIDE_EFFECT1     ,$4B,ELECTRIC,$FF,15
+	db SCRATCH     ,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,35
+	db VICEGRIP    ,NO_ADDITIONAL_EFFECT      ,$37,NORMAL,  $FF,30
+	db GUILLOTINE  ,OHKO_EFFECT               ,$01,NORMAL,  $4C,5
+	db RAZOR_WIND  ,CHARGE_EFFECT             ,$50,NORMAL,  $BF,10
+	db SWORDS_DANCE,ATTACK_UP2_EFFECT         ,$00,NORMAL,  $FF,30
+	db CUT         ,NO_ADDITIONAL_EFFECT      ,$32,NORMAL,  $F2,30
+	db GUST        ,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,35
+	db WING_ATTACK ,NO_ADDITIONAL_EFFECT      ,$23,FLYING,  $FF,35
+	db WHIRLWIND   ,SWITCH_AND_TELEPORT_EFFECT,$00,NORMAL,  $D8,20
+	db FLY         ,FLY_EFFECT                ,$46,FLYING,  $F2,15
+	db BIND        ,TRAPPING_EFFECT           ,$0F,NORMAL,  $BF,20
+	db SLAM        ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $BF,20
+	db VINE_WHIP   ,NO_ADDITIONAL_EFFECT      ,$23,GRASS,   $FF,10
+	db STOMP       ,FLINCH_SIDE_EFFECT2       ,$41,NORMAL,  $FF,20
+	db DOUBLE_KICK ,ATTACK_TWICE_EFFECT       ,$1E,FIGHTING,$FF,30
+	db MEGA_KICK   ,NO_ADDITIONAL_EFFECT      ,$78,NORMAL,  $BF,5
+	db JUMP_KICK   ,JUMP_KICK_EFFECT          ,$46,FIGHTING,$F2,25
+	db ROLLING_KICK,FLINCH_SIDE_EFFECT2       ,$3C,FIGHTING,$D8,15
+	db SAND_ATTACK ,ACCURACY_DOWN1_EFFECT     ,$00,NORMAL,  $FF,15
+	db HEADBUTT    ,FLINCH_SIDE_EFFECT2       ,$46,NORMAL,  $FF,15
+	db HORN_ATTACK ,NO_ADDITIONAL_EFFECT      ,$41,NORMAL,  $FF,25
+	db FURY_ATTACK ,TWO_TO_FIVE_ATTACKS_EFFECT,$0F,NORMAL,  $D8,20
+	db HORN_DRILL  ,OHKO_EFFECT               ,$01,NORMAL,  $4C,5
+	db TACKLE      ,NO_ADDITIONAL_EFFECT      ,$23,NORMAL,  $F2,35
+	db BODY_SLAM   ,PARALYZE_SIDE_EFFECT2     ,$55,NORMAL,  $FF,15
+	db WRAP        ,TRAPPING_EFFECT           ,$0F,NORMAL,  $D8,20
+	db TAKE_DOWN   ,RECOIL_EFFECT             ,$5A,NORMAL,  $D8,20
+	db THRASH      ,THRASH_PETAL_DANCE_EFFECT ,$5A,NORMAL,  $FF,20
+	db DOUBLE_EDGE ,RECOIL_EFFECT             ,$64,NORMAL,  $FF,15
+	db TAIL_WHIP   ,DEFENSE_DOWN1_EFFECT      ,$00,NORMAL,  $FF,30
+	db POISON_STING,POISON_SIDE_EFFECT1       ,$0F,POISON,  $FF,35
+	db TWINEEDLE   ,TWINEEDLE_EFFECT          ,$19,BUG,     $FF,20
+	db PIN_MISSILE ,TWO_TO_FIVE_ATTACKS_EFFECT,$0E,BUG,     $D8,20
+	db LEER        ,DEFENSE_DOWN1_EFFECT      ,$00,NORMAL,  $FF,30
+	db BITE        ,FLINCH_SIDE_EFFECT1       ,$3C,NORMAL,  $FF,25
+	db GROWL       ,ATTACK_DOWN1_EFFECT       ,$00,NORMAL,  $FF,40
+	db ROAR        ,SWITCH_AND_TELEPORT_EFFECT,$00,NORMAL,  $FF,20
+	db SING        ,SLEEP_EFFECT              ,$00,NORMAL,  $8C,15
+	db SUPERSONIC  ,CONFUSION_EFFECT          ,$00,NORMAL,  $8C,20
+	db SONICBOOM   ,SPECIAL_DAMAGE_EFFECT     ,$01,NORMAL,  $E5,20
+	db DISABLE     ,DISABLE_EFFECT            ,$00,NORMAL,  $8C,20
+	db ACID        ,DEFENSE_DOWN_SIDE_EFFECT  ,$28,POISON,  $FF,30
+	db EMBER       ,BURN_SIDE_EFFECT1         ,$28,FIRE,    $FF,25
+	db FLAMETHROWER,BURN_SIDE_EFFECT1         ,$5F,FIRE,    $FF,15
+	db MIST        ,MIST_EFFECT               ,$00,ICE,     $FF,30
+	db WATER_GUN   ,NO_ADDITIONAL_EFFECT      ,$28,WATER,   $FF,25
+	db HYDRO_PUMP  ,NO_ADDITIONAL_EFFECT      ,$78,WATER,   $CC,5
+	db SURF        ,NO_ADDITIONAL_EFFECT      ,$5F,WATER,   $FF,15
+	db ICE_BEAM    ,FREEZE_SIDE_EFFECT        ,$5F,ICE,     $FF,10
+	db BLIZZARD    ,FREEZE_SIDE_EFFECT        ,$78,ICE,     $E5,5
+	db PSYBEAM     ,CONFUSION_SIDE_EFFECT     ,$41,PSYCHIC, $FF,20
+	db BUBBLEBEAM  ,SPEED_DOWN_SIDE_EFFECT    ,$41,WATER,   $FF,20
+	db AURORA_BEAM ,ATTACK_DOWN_SIDE_EFFECT   ,$41,ICE,     $FF,20
+	db HYPER_BEAM  ,HYPER_BEAM_EFFECT         ,$96,NORMAL,  $E5,5
+	db PECK        ,NO_ADDITIONAL_EFFECT      ,$23,FLYING,  $FF,35
+	db DRILL_PECK  ,NO_ADDITIONAL_EFFECT      ,$50,FLYING,  $FF,20
+	db SUBMISSION  ,RECOIL_EFFECT             ,$50,FIGHTING,$CC,25
+	db LOW_KICK    ,FLINCH_SIDE_EFFECT2       ,$32,FIGHTING,$E5,20
+	db COUNTER     ,NO_ADDITIONAL_EFFECT      ,$01,FIGHTING,$FF,20
+	db SEISMIC_TOSS,SPECIAL_DAMAGE_EFFECT     ,$01,FIGHTING,$FF,20
+	db STRENGTH    ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $FF,15
+	db ABSORB      ,DRAIN_HP_EFFECT           ,$14,GRASS,   $FF,20
+	db MEGA_DRAIN  ,DRAIN_HP_EFFECT           ,$28,GRASS,   $FF,10
+	db LEECH_SEED  ,LEECH_SEED_EFFECT         ,$00,GRASS,   $E5,10
+	db GROWTH      ,SPECIAL_UP1_EFFECT        ,$00,NORMAL,  $FF,40
+	db RAZOR_LEAF  ,NO_ADDITIONAL_EFFECT      ,$37,GRASS,   $F2,25
+	db SOLARBEAM   ,CHARGE_EFFECT             ,$78,GRASS,   $FF,10
+	db POISONPOWDER,POISON_EFFECT             ,$00,POISON,  $BF,35
+	db STUN_SPORE  ,PARALYZE_EFFECT           ,$00,GRASS,   $BF,30
+	db SLEEP_POWDER,SLEEP_EFFECT              ,$00,GRASS,   $BF,15
+	db PETAL_DANCE ,THRASH_PETAL_DANCE_EFFECT ,$46,GRASS,   $FF,20
+	db STRING_SHOT ,SPEED_DOWN1_EFFECT        ,$00,BUG,     $F2,40
+	db DRAGON_RAGE ,SPECIAL_DAMAGE_EFFECT     ,$01,DRAGON,  $FF,10
+	db FIRE_SPIN   ,TRAPPING_EFFECT           ,$0F,FIRE,    $B2,15
+	db THUNDERSHOCK,PARALYZE_SIDE_EFFECT1     ,$28,ELECTRIC,$FF,30
+	db THUNDERBOLT ,PARALYZE_SIDE_EFFECT1     ,$5F,ELECTRIC,$FF,15
+	db THUNDER_WAVE,PARALYZE_EFFECT           ,$00,ELECTRIC,$FF,20
+	db THUNDER     ,PARALYZE_SIDE_EFFECT1     ,$78,ELECTRIC,$B2,10
+	db ROCK_THROW  ,NO_ADDITIONAL_EFFECT      ,$32,ROCK,    $A5,15
+	db EARTHQUAKE  ,NO_ADDITIONAL_EFFECT      ,$64,GROUND,  $FF,10
+	db FISSURE     ,OHKO_EFFECT               ,$01,GROUND,  $4C,5
+	db DIG         ,CHARGE_EFFECT             ,$64,GROUND,  $FF,10
+	db TOXIC       ,POISON_EFFECT             ,$00,POISON,  $D8,10
+	db CONFUSION   ,CONFUSION_SIDE_EFFECT     ,$32,PSYCHIC, $FF,25
+	db PSYCHIC_M   ,SPECIAL_DOWN_SIDE_EFFECT  ,$5A,PSYCHIC, $FF,10
+	db HYPNOSIS    ,SLEEP_EFFECT              ,$00,PSYCHIC, $99,20
+	db MEDITATE    ,ATTACK_UP1_EFFECT         ,$00,PSYCHIC, $FF,40
+	db AGILITY     ,SPEED_UP2_EFFECT          ,$00,PSYCHIC, $FF,30
+	db QUICK_ATTACK,NO_ADDITIONAL_EFFECT      ,$28,NORMAL,  $FF,30
+	db RAGE        ,RAGE_EFFECT               ,$14,NORMAL,  $FF,20
+	db TELEPORT    ,SWITCH_AND_TELEPORT_EFFECT,$00,PSYCHIC, $FF,20
+	db NIGHT_SHADE ,SPECIAL_DAMAGE_EFFECT     ,$00,GHOST,   $FF,15
+	db MIMIC       ,MIMIC_EFFECT              ,$00,NORMAL,  $FF,10
+	db SCREECH     ,DEFENSE_DOWN2_EFFECT      ,$00,NORMAL,  $D8,40
+	db DOUBLE_TEAM ,EVASION_UP1_EFFECT        ,$00,NORMAL,  $FF,15
+	db RECOVER     ,HEAL_EFFECT               ,$00,NORMAL,  $FF,20
+	db HARDEN      ,DEFENSE_UP1_EFFECT        ,$00,NORMAL,  $FF,30
+	db MINIMIZE    ,EVASION_UP1_EFFECT        ,$00,NORMAL,  $FF,20
+	db SMOKESCREEN ,ACCURACY_DOWN1_EFFECT     ,$00,NORMAL,  $FF,20
+	db CONFUSE_RAY ,CONFUSION_EFFECT          ,$00,GHOST,   $FF,10
+	db WITHDRAW    ,DEFENSE_UP1_EFFECT        ,$00,WATER,   $FF,40
+	db DEFENSE_CURL,DEFENSE_UP1_EFFECT        ,$00,NORMAL,  $FF,40
+	db BARRIER     ,DEFENSE_UP2_EFFECT        ,$00,PSYCHIC, $FF,30
+	db LIGHT_SCREEN,LIGHT_SCREEN_EFFECT       ,$00,PSYCHIC, $FF,30
+	db HAZE        ,HAZE_EFFECT               ,$00,ICE,     $FF,30
+	db REFLECT     ,REFLECT_EFFECT            ,$00,PSYCHIC, $FF,20
+	db FOCUS_ENERGY,FOCUS_ENERGY_EFFECT       ,$00,NORMAL,  $FF,30
+	db BIDE        ,BIDE_EFFECT               ,$00,NORMAL,  $FF,10
+	db METRONOME   ,METRONOME_EFFECT          ,$00,NORMAL,  $FF,10
+	db MIRROR_MOVE ,MIRROR_MOVE_EFFECT        ,$00,FLYING,  $FF,20
+	db SELFDESTRUCT,EXPLODE_EFFECT            ,$82,NORMAL,  $FF,5
+	db EGG_BOMB    ,NO_ADDITIONAL_EFFECT      ,$64,NORMAL,  $BF,10
+	db LICK        ,PARALYZE_SIDE_EFFECT2     ,$14,GHOST,   $FF,30
+	db SMOG        ,POISON_SIDE_EFFECT2       ,$14,POISON,  $B2,20
+	db SLUDGE      ,POISON_SIDE_EFFECT2       ,$41,POISON,  $FF,20
+	db BONE_CLUB   ,FLINCH_SIDE_EFFECT1       ,$41,GROUND,  $D8,20
+	db FIRE_BLAST  ,BURN_SIDE_EFFECT2         ,$78,FIRE,    $D8,5
+	db WATERFALL   ,NO_ADDITIONAL_EFFECT      ,$50,WATER,   $FF,15
+	db CLAMP       ,TRAPPING_EFFECT           ,$23,WATER,   $BF,10
+	db SWIFT       ,SWIFT_EFFECT              ,$3C,NORMAL,  $FF,20
+	db SKULL_BASH  ,CHARGE_EFFECT             ,$64,NORMAL,  $FF,15
+	db SPIKE_CANNON,TWO_TO_FIVE_ATTACKS_EFFECT,$14,NORMAL,  $FF,15
+	db CONSTRICT   ,SPEED_DOWN_SIDE_EFFECT    ,$0A,NORMAL,  $FF,35
+	db AMNESIA     ,SPECIAL_UP2_EFFECT        ,$00,PSYCHIC, $FF,20
+	db KINESIS     ,ACCURACY_DOWN1_EFFECT     ,$00,PSYCHIC, $CC,15
+	db SOFTBOILED  ,HEAL_EFFECT               ,$00,NORMAL,  $FF,10
+	db HI_JUMP_KICK,JUMP_KICK_EFFECT          ,$55,FIGHTING,$E5,20
+	db GLARE       ,PARALYZE_EFFECT           ,$00,NORMAL,  $BF,30
+	db DREAM_EATER ,DREAM_EATER_EFFECT        ,$64,PSYCHIC, $FF,15
+	db POISON_GAS  ,POISON_EFFECT             ,$00,POISON,  $8C,40
+	db BARRAGE     ,TWO_TO_FIVE_ATTACKS_EFFECT,$0F,NORMAL,  $D8,20
+	db LEECH_LIFE  ,DRAIN_HP_EFFECT           ,$14,BUG,     $FF,15
+	db LOVELY_KISS ,SLEEP_EFFECT              ,$00,NORMAL,  $BF,10
+	db SKY_ATTACK  ,CHARGE_EFFECT             ,$8C,FLYING,  $E5,5
+	db TRANSFORM   ,TRANSFORM_EFFECT          ,$00,NORMAL,  $FF,10
+	db BUBBLE      ,SPEED_DOWN_SIDE_EFFECT    ,$14,WATER,   $FF,30
+	db DIZZY_PUNCH ,NO_ADDITIONAL_EFFECT      ,$46,NORMAL,  $FF,10
+	db SPORE       ,SLEEP_EFFECT              ,$00,GRASS,   $FF,15
+	db FLASH       ,ACCURACY_DOWN1_EFFECT     ,$00,NORMAL,  $B2,20
+	db PSYWAVE     ,SPECIAL_DAMAGE_EFFECT     ,$01,PSYCHIC, $CC,15
+	db SPLASH      ,SPLASH_EFFECT             ,$00,NORMAL,  $FF,40
+	db ACID_ARMOR  ,DEFENSE_UP2_EFFECT        ,$00,POISON,  $FF,40
+	db CRABHAMMER  ,NO_ADDITIONAL_EFFECT      ,$5A,WATER,   $D8,10
+	db EXPLOSION   ,EXPLODE_EFFECT            ,$AA,NORMAL,  $FF,5
+	db FURY_SWIPES ,TWO_TO_FIVE_ATTACKS_EFFECT,$12,NORMAL,  $CC,15
+	db BONEMERANG  ,ATTACK_TWICE_EFFECT       ,$32,GROUND,  $E5,10
+	db REST        ,HEAL_EFFECT               ,$00,PSYCHIC, $FF,10
+	db ROCK_SLIDE  ,NO_ADDITIONAL_EFFECT      ,$4B,ROCK,    $E5,10
+	db HYPER_FANG  ,FLINCH_SIDE_EFFECT1       ,$50,NORMAL,  $E5,15
+	db SHARPEN     ,ATTACK_UP1_EFFECT         ,$00,NORMAL,  $FF,30
+	db CONVERSION  ,CONVERSION_EFFECT         ,$00,NORMAL,  $FF,30
+	db TRI_ATTACK  ,NO_ADDITIONAL_EFFECT      ,$50,NORMAL,  $FF,10
+	db SUPER_FANG  ,SUPER_FANG_EFFECT         ,$01,NORMAL,  $E5,10
+	db SLASH       ,NO_ADDITIONAL_EFFECT      ,$46,NORMAL,  $FF,20
+	db SUBSTITUTE  ,SUBSTITUTE_EFFECT         ,$00,NORMAL,  $FF,10
+	db STRUGGLE    ,RECOIL_EFFECT             ,$32,NORMAL,  $FF,10
 
 BulbasaurBaseStats: ; 383de (e:43de)
 	db DEX_BULBASAUR ; pokedex id
@@ -54045,10 +54503,10 @@ AIEnemyTrainerChooseMoves: ; 39719 (e:5719)
 	ret
 
 AIMoveChoiceModificationFunctionPointers: ; 397a3 (e:57a3)
-dw AIMoveChoiceModification1
-dw AIMoveChoiceModification2
-dw AIMoveChoiceModification3
-dw AIMoveChoiceModification4 ; unused, does nothing
+	dw AIMoveChoiceModification1
+	dw AIMoveChoiceModification2
+	dw AIMoveChoiceModification3
+	dw AIMoveChoiceModification4 ; unused, does nothing
 
 ; discourages moves that cause no damage but only a status ailment if player's mon already has one
 AIMoveChoiceModification1: ; 397ab (e:57ab)
@@ -54087,11 +54545,11 @@ AIMoveChoiceModification1: ; 397ab (e:57ab)
 	jr .nextMove
 
 StatusAilmentMoveEffects ; 57e2
-db $01 ; some sleep effect?
-db SLEEP_EFFECT
-db POISON_EFFECT
-db PARALYZE_EFFECT
-db $FF
+	db $01 ; some sleep effect?
+	db SLEEP_EFFECT
+	db POISON_EFFECT
+	db PARALYZE_EFFECT
+	db $FF
 
 ; slightly encourage moves with specific effects
 AIMoveChoiceModification2: ; 397e7 (e:57e7)
@@ -54215,196 +54673,196 @@ ReadMove: ; 39884 (e:5884)
 ; move choice modification methods that are applied for each trainer class
 ; 0 is sentinel value
 TrainerClassMoveChoiceModifications: ; 3989b (e:589b)
-db 0      ; YOUNGSTER
-db 1,0    ; BUG CATCHER
-db 1,0    ; LASS
-db 1,3,0  ; SAILOR
-db 1,0    ; JR__TRAINER_M
-db 1,0    ; JR__TRAINER_F
-db 1,2,3,0; POKEMANIAC
-db 1,2,0  ; SUPER_NERD
-db 1,0    ; HIKER
-db 1,0    ; BIKER
-db 1,3,0  ; BURGLAR
-db 1,0    ; ENGINEER
-db 1,2,0  ; JUGGLER_X
-db 1,3,0  ; FISHER
-db 1,3,0  ; SWIMMER
-db 0      ; CUE_BALL
-db 1,0    ; GAMBLER
-db 1,3,0  ; BEAUTY
-db 1,2,0  ; PSYCHIC_TR
-db 1,3,0  ; ROCKER
-db 1,0    ; JUGGLER
-db 1,0    ; TAMER
-db 1,0    ; BIRD_KEEPER
-db 1,0    ; BLACKBELT
-db 1,0    ; SONY1
-db 1,3,0  ; PROF_OAK
-db 1,2,0  ; CHIEF
-db 1,2,0  ; SCIENTIST
-db 1,3,0  ; GIOVANNI
-db 1,0    ; ROCKET
-db 1,3,0  ; COOLTRAINER_M
-db 1,3,0  ; COOLTRAINER_F
-db 1,0    ; BRUNO
-db 1,0    ; BROCK
-db 1,3,0  ; MISTY
-db 1,3,0  ; LT__SURGE
-db 1,3,0  ; ERIKA
-db 1,3,0  ; KOGA
-db 1,3,0  ; BLAINE
-db 1,3,0  ; SABRINA
-db 1,2,0  ; GENTLEMAN
-db 1,3,0  ; SONY2
-db 1,3,0  ; SONY3
-db 1,2,3,0; LORELEI
-db 1,0    ; CHANNELER
-db 1,0    ; AGATHA
-db 1,3,0  ; LANCE
+	db 0      ; YOUNGSTER
+	db 1,0    ; BUG CATCHER
+	db 1,0    ; LASS
+	db 1,3,0  ; SAILOR
+	db 1,0    ; JR__TRAINER_M
+	db 1,0    ; JR__TRAINER_F
+	db 1,2,3,0; POKEMANIAC
+	db 1,2,0  ; SUPER_NERD
+	db 1,0    ; HIKER
+	db 1,0    ; BIKER
+	db 1,3,0  ; BURGLAR
+	db 1,0    ; ENGINEER
+	db 1,2,0  ; JUGGLER_X
+	db 1,3,0  ; FISHER
+	db 1,3,0  ; SWIMMER
+	db 0      ; CUE_BALL
+	db 1,0    ; GAMBLER
+	db 1,3,0  ; BEAUTY
+	db 1,2,0  ; PSYCHIC_TR
+	db 1,3,0  ; ROCKER
+	db 1,0    ; JUGGLER
+	db 1,0    ; TAMER
+	db 1,0    ; BIRD_KEEPER
+	db 1,0    ; BLACKBELT
+	db 1,0    ; SONY1
+	db 1,3,0  ; PROF_OAK
+	db 1,2,0  ; CHIEF
+	db 1,2,0  ; SCIENTIST
+	db 1,3,0  ; GIOVANNI
+	db 1,0    ; ROCKET
+	db 1,3,0  ; COOLTRAINER_M
+	db 1,3,0  ; COOLTRAINER_F
+	db 1,0    ; BRUNO
+	db 1,0    ; BROCK
+	db 1,3,0  ; MISTY
+	db 1,3,0  ; LT__SURGE
+	db 1,3,0  ; ERIKA
+	db 1,3,0  ; KOGA
+	db 1,3,0  ; BLAINE
+	db 1,3,0  ; SABRINA
+	db 1,2,0  ; GENTLEMAN
+	db 1,3,0  ; SONY2
+	db 1,3,0  ; SONY3
+	db 1,2,3,0; LORELEI
+	db 1,0    ; CHANNELER
+	db 1,0    ; AGATHA
+	db 1,3,0  ; LANCE
 
 ; trainer pic pointers and base money.
 ; money received after battle = base money × level of highest-level enemy mon
-dw YoungsterPic
-db 0,$15,0
+	dw YoungsterPic
+	db 0,$15,0
 
-dw BugCatcherPic
-db 0,$10,0
+	dw BugCatcherPic
+	db 0,$10,0
 
-dw LassPic
-db 0,$15,0
+	dw LassPic
+	db 0,$15,0
 
-dw SailorPic
-db 0,$30,0
+	dw SailorPic
+	db 0,$30,0
 
-dw JrTrainerMPic
-db 0,$20,0
+	dw JrTrainerMPic
+	db 0,$20,0
 
-dw JrTrainerFPic
-db 0,$20,0
+	dw JrTrainerFPic
+	db 0,$20,0
 
-dw PokemaniacPic
-db 0,$50,0
+	dw PokemaniacPic
+	db 0,$50,0
 
-dw SuperNerdPic
-db 0,$25,0
+	dw SuperNerdPic
+	db 0,$25,0
 
-dw HikerPic
-db 0,$35,0
+	dw HikerPic
+	db 0,$35,0
 
-dw BikerPic
-db 0,$20,0
+	dw BikerPic
+	db 0,$20,0
 
-dw BurglarPic
-db 0,$90,0
+	dw BurglarPic
+	db 0,$90,0
 
-dw EngineerPic
-db 0,$50,0
+	dw EngineerPic
+	db 0,$50,0
 
-dw JugglerPic
-db 0,$35,0
+	dw JugglerPic
+	db 0,$35,0
 
-dw FisherPic
-db 0,$35,0
+	dw FisherPic
+	db 0,$35,0
 
-dw SwimmerPic
-db 0,$05,0
+	dw SwimmerPic
+	db 0,$05,0
 
-dw CueBallPic
-db 0,$25,0
+	dw CueBallPic
+	db 0,$25,0
 
-dw GamblerPic
-db 0,$70,0
+	dw GamblerPic
+	db 0,$70,0
 
-dw BeautyPic
-db 0,$70,0
+	dw BeautyPic
+	db 0,$70,0
 
-dw PsychicPic
-db 0,$10,0
+	dw PsychicPic
+	db 0,$10,0
 
-dw RockerPic
-db 0,$25,0
+	dw RockerPic
+	db 0,$25,0
 
-dw JugglerPic
-db 0,$35,0
+	dw JugglerPic
+	db 0,$35,0
 
-dw TamerPic
-db 0,$40,0
+	dw TamerPic
+	db 0,$40,0
 
-dw BirdKeeperPic
-db 0,$25,0
+	dw BirdKeeperPic
+	db 0,$25,0
 
-dw BlackbeltPic
-db 0,$25,0
+	dw BlackbeltPic
+	db 0,$25,0
 
-dw Rival1Pic
-db 0,$35,0
+	dw Rival1Pic
+	db 0,$35,0
 
-dw ProfOakPic
-db 0,$99,0
+	dw ProfOakPic
+	db 0,$99,0
 
-dw ChiefPic
-db 0,$30,0
+	dw ChiefPic
+	db 0,$30,0
 
-dw ScientistPic
-db 0,$50,0
+	dw ScientistPic
+	db 0,$50,0
 
-dw GiovanniPic
-db 0,$99,0
+	dw GiovanniPic
+	db 0,$99,0
 
-dw RocketPic
-db 0,$30,0
+	dw RocketPic
+	db 0,$30,0
 
-dw CooltrainerMPic
-db 0,$35,0
+	dw CooltrainerMPic
+	db 0,$35,0
 
-dw CooltrainerFPic
-db 0,$35,0
+	dw CooltrainerFPic
+	db 0,$35,0
 
-dw BrunoPic
-db 0,$99,0
+	dw BrunoPic
+	db 0,$99,0
 
-dw BrockPic
-db 0,$99,0
+	dw BrockPic
+	db 0,$99,0
 
-dw MistyPic
-db 0,$99,0
+	dw MistyPic
+	db 0,$99,0
 
-dw LtSurgePic
-db 0,$99,0
+	dw LtSurgePic
+	db 0,$99,0
 
-dw ErikaPic
-db 0,$99,0
+	dw ErikaPic
+	db 0,$99,0
 
-dw KogaPic
-db 0,$99,0
+	dw KogaPic
+	db 0,$99,0
 
-dw BlainePic
-db 0,$99,0
+	dw BlainePic
+	db 0,$99,0
 
-dw SabrinaPic
-db 0,$99,0
+	dw SabrinaPic
+	db 0,$99,0
 
-dw GentlemanPic
-db 0,$70,0
+	dw GentlemanPic
+	db 0,$70,0
 
-dw Rival2Pic
-db 0,$65,0
+	dw Rival2Pic
+	db 0,$65,0
 
-dw Rival3Pic
-db 0,$99,0
+	dw Rival3Pic
+	db 0,$99,0
 
-dw LoreleiPic
-db 0,$99,0
+	dw LoreleiPic
+	db 0,$99,0
 
-dw ChannelerPic
-db 0,$30,0
+	dw ChannelerPic
+	db 0,$30,0
 
-dw AgathaPic
-db 0,$99,0
+	dw AgathaPic
+	db 0,$99,0
 
-dw LancePic
-db 0,$99,0
+	dw LancePic
+	db 0,$99,0
 
 TrainerNames: ; 399ff (e:59ff)
 	db "YOUNGSTER@"
@@ -60059,7 +60517,6 @@ FaintEnemyPokemon ; 0x3c567
 EnemyMonFainted: ; 0x3c63e
 	TX_FAR _EnemyMonFainted
 	db "@"
-; 0x3c63e + 5 bytes
 
 Func_3c643: ; 3c643 (f:4643)
 	xor a
@@ -61219,8 +61676,6 @@ InitBattleMenu: ; 3ceb3 (f:4eb3)
 	               ; map with wild pokémon. due to an oversight, the data
 	               ; may not get overwritten (cinnabar) and the infamous
 	               ; missingno. glitch can show up.
-
-
 	ld hl, OldManName ; $4f12
 	ld de, W_PLAYERNAME ; $d158
 	ld bc, $b
